services:
  vaultwarden:
    container_name: vaultwarden
    image: vaultwarden/server:1.35.2
    restart: always
    volumes:
      - ${VAULTWARDEN_DATA_LOCATION}:/data/
    environment:
      - ADMIN_TOKEN=${VAULTWARDEN_ADMIN_TOKEN}
      - EXPERIMENTAL_CLIENT_FEATURE_FLAGS=extension-refresh,inline-menu-positioning-improvements,ssh-key-vault-item,ssh-agent
    env_file:
      - .env
    ports:
      - "8082:80"